Last modified: 2014-11-10 02:48:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28442 - Rename zh-min-nan -> nan
Rename zh-min-nan -> nan
Status: NEW
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
Depends on:
Blocks: 8217 wikis-to-rename
  Show dependency treegraph
 
Reported: 2011-04-06 15:36 UTC by Mark A. Hershberger
Modified: 2014-11-10 02:48 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark A. Hershberger 2011-04-06 15:36:02 UTC
See discussion on Bug #8217
Comment 1 Philippe Verdy 2013-01-18 22:44:04 UTC
Note that Wikipedia should not just rename the wiki, it should still maintain a domain name alias for preserving links to Wikipedia from other sites.
This means that the two domains will have to be supported, even if "zh-min-nan" becomes an alias in interwiki prefixes, and as CNAME alias in the DNS. And these aliases will need to be preserved for long (Interwiki prefixes could be fixed, but there are tons of templates and pages to change before this becomes possible).

So the first step is to add the domain name alias as a CNAME and make sure that the wiki server accepts this hostname (it requires a reconfiguration of the webserver itself, then adding a CNAME aliasing of "nan.*" to "zh-min-nan.*" to test that the web server accepts both host names, then chaning the DNS again to reverse the CNAME aliasing, then adding the interwiki prefix aliasing, and reconfiguring all other wiki servers to support the new prefix).

This done, we'll be able to start the cleanup of templates, and some bots may work at ficing the interwiki links spread on lots of pages for each wiki. For templates this cannot be made safely by a bot.
Comment 2 Andre Klapper 2013-01-23 11:17:55 UTC
As a small step here, wgLanguageCode was fixed in bug 34866.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links